Bug 1023210 - Review Request: python-irawadi-user - Python Library for manage system user in Linux
Review Request: python-irawadi-user - Python Library for manage system user i...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Yohan Graterol
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 17:41 EDT by Rino Rondan
Modified: 2013-11-10 02:04 EST (History)
5 users (show)

See Also:
Fixed In Version: python-irawadi-user-0.1-6.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-04 21:50:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
yohangraterol92: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rino Rondan 2013-10-24 17:41:03 EDT
Spec URL: <http://villadalmine.fedorapeople.org/irawadi-user.spec>
SRPM URL: <http://villadalmine.fedorapeople.org/irawadi-user-0.1-1.fc19.src.rpm>

Fedora Account System Username: villadalmine
Comment 1 Christopher Meng 2013-10-24 21:06:00 EDT
What's the description of it? Why did you remove description in this bug?

And this name is not allowed. Please use python-irawadi-user.
Comment 2 Rino Rondan 2013-10-24 21:16:24 EDT
Description:
Python Library for manage system user and group in Linux.
With Irawadi-user, the developer can add users, update
the password to users and delete users account
Comment 3 Rino Rondan 2013-10-24 21:17:15 EDT
I renamed the package.


Spec URL: <http://villadalmine.fedorapeople.org/python-irawadi-user.spec>
SRPM URL: <http://villadalmine.fedorapeople.org/python-irawadi-user-0.1-2.fc19.src.rpm>

Fedora Account System Username: villadalmine
Comment 4 Yohan Graterol 2013-10-24 22:49:58 EDT
Hello Rino,

You can use variables with the macro %global variable_name value, in the case you need add a variable for use in all spec.

Example %global package_name irawadi-user, with that variable is not necessary add the package name in Source0, %prep. etc.

> https://github.com/yograterol/%{package_name}/archive/%{commit}/%{package_name}-%{version}-%{shortcommit}.tar.gz

Anyway, is not necessary for the package. But, you know for the future.

Please:

1 - Remove the comment "# For arch-specific packages: sitearch"
2 - %{__python} is deprecated. You should use %{__python2} or %{__python3} as the case. [0]

[0] http://fedoraproject.org/wiki/Packaging:Python#Macros
Comment 5 Rino Rondan 2013-10-24 23:08:38 EDT
- Added package_name variable to modify Source0,prep
- Removed commented lined on spec
- Removed macro of python binary
- Removed * from python_sitelib
Comment 6 Christopher Meng 2013-10-24 23:33:10 EDT
You are not a sponso, clear the flag.
Comment 8 Eduardo Echeverria 2013-10-24 23:54:30 EDT
(In reply to Christopher Meng from comment #1)
> What's the description of it? Why did you remove description in this bug?
> 
> And this name is not allowed. Please use python-irawadi-user.

@cicku, naming is depending of implementation, you're right in this case because is a library but,  I would not say "not allowed"; I think that the best is explain to rino why the package should be renamed

@rino can you read a little more here https://fedoraproject.org/wiki/Features/PythonNamingDependingOnImplementation, I don't remember if  was approved this feature, but it has become customary to follow between packagers
Comment 9 Yohan Graterol 2013-10-24 23:56:12 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
    Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-irawadi-user-0.1-4.fc21.noarch.rpm
          python-irawadi-user-0.1-4.fc21.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-irawadi-user
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-irawadi-user (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-irawadi-user:
    python-irawadi-user



Source checksums
----------------
https://github.com/yograterol/irawadi-user/archive/df3bf2cb905382201ac5f3b621caaa96625da4c9/irawadi-user-0.1-df3bf2c.tar.gz :
  CHECKSUM(SHA256) this package     : b9f8b0842b8ddd82c995affbdff8fcc1e8eb2e54852083244416177f11b9a5c4
  CHECKSUM(SHA256) upstream package : b9f8b0842b8ddd82c995affbdff8fcc1e8eb2e54852083244416177f11b9a5c4

----------------------

I think this package is OK. +1
Comment 10 Eduardo Echeverria 2013-10-25 00:08:54 EDT
hey yohan, I'm seeing that  you are upstream and packager, probably you're helping rino with this package. You is being your mentor?
Comment 12 Yohan Graterol 2013-10-25 00:12:19 EDT
Hi Eduardo,

Yes, I'm being the mentor of Rino... For the correct packaging.
Comment 13 Eduardo Echeverria 2013-10-25 00:17:52 EDT
English fails (sorry) => You are being his mentor?
Ok, so, please make the review.
Rino you are sponsored, yograterol will do the review

Lifting FE-NEEDSPONSOR
Comment 14 Yohan Graterol 2013-10-25 00:19:57 EDT
Welcome Rino! :)
Comment 15 Yohan Graterol 2013-10-25 00:21:50 EDT
PACKAGE APPROVED
Comment 16 Yohan Graterol 2013-10-25 00:24:02 EDT
Rino,

Follow the process from:

https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner

Enjoy at Fedora :) Happy Packaging!
Comment 17 Rino Rondan 2013-10-25 00:37:46 EDT
New Package SCM Request
=======================
Package Name: python-irawadi-user
Short Description: Python Library for manage system user in Linux
Owners: villaldamine yograterol
Branches: f18 f19 f20 el6
InitialCC:
Comment 18 Gwyn Ciesla 2013-10-25 08:02:12 EDT
WARNING: "villaldamine" is not a valid FAS account.
Comment 19 Rino Rondan 2013-10-25 08:27:59 EDT
New Package SCM Request
=======================
Package Name: python-irawadi-user
Short Description: Python Library for manage system user in Linux
Owners: villadalmine yograterol
Branches: f18 f19 f20 el6
InitialCC:
Comment 20 Gwyn Ciesla 2013-10-25 08:37:37 EDT
Git done (by process-git-requests).
Comment 21 Eduardo Echeverria 2013-10-25 21:22:02 EDT
Hey Jon, villadalmine exists in FAS accounts,
https://admin.fedoraproject.org/accounts/user/view/villadalmine

Rino can you put fedora_cvs in + , again?
Comment 22 Eduardo Echeverria 2013-10-25 21:27:09 EDT
No, problem Jon, I saw that all is ready, but villadalmine appears in pkgdb with commiter rights awaiting review
Comment 23 Fedora Update System 2013-10-25 23:33:52 EDT
python-irawadi-user-0.1-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-irawadi-user-0.1-6.fc20
Comment 24 Fedora Update System 2013-10-25 23:44:54 EDT
python-irawadi-user-0.1-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-irawadi-user-0.1-6.fc19
Comment 25 Fedora Update System 2013-10-25 23:55:26 EDT
python-irawadi-user-0.1-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-irawadi-user-0.1-6.fc18
Comment 26 Fedora Update System 2013-10-26 00:46:52 EDT
python-irawadi-user-0.1-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-irawadi-user-0.1-7.el6
Comment 27 Fedora Update System 2013-10-26 14:28:30 EDT
python-irawadi-user-0.1-7.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 28 Fedora Update System 2013-11-04 21:50:32 EST
python-irawadi-user-0.1-6.fc19 has been pushed to the Fedora 19 stable repository.
Comment 29 Fedora Update System 2013-11-04 21:59:51 EST
python-irawadi-user-0.1-6.fc18 has been pushed to the Fedora 18 stable repository.
Comment 30 Fedora Update System 2013-11-10 02:04:12 EST
python-irawadi-user-0.1-6.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.